package poly;

public class Primitive
{
	public boolean quadrangle;
	public boolean enableColor;
	public boolean enableNormal;
	public boolean enableTexture;
	public boolean enableVertex;
	public int vp0, vp1, vp2, vp3;
	public int np0, np1, np2, np3;
	public int material;
	public float u0, v0;
	public float u1, v1;
	public float u2, v2;
	public float u3, v3;
	public int r0, g0, b0;
	public int r1, g1, b1;
	public int r2, g2, b2;
	public int r3, g3, b3;

	public Primitive()
	{
		quadrangle = false;
		enableColor = false;
		enableNormal = false;
		enableTexture = false;
		enableVertex = false;

		vp0 = vp1 = vp2 = vp3 = -1;
		np0 = np1 = np2 = np3 = -1;
		material = -1;
		
		r0 = g0 = b0 = 255;
		r1 = g1 = b1 = 255;
		r2 = g2 = b2 = 255;
		r3 = g3 = b3 = 255;
	}
}
